QGIS 3 Database Styles Manager does not load default style nor recognizes any styles related to a 

layer

2018-07-16 05:40 PM - Jochen Schwarze

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:3.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 27254

Description

Stumbled upon this issue with styles used in spatialite db. These seem to be querried by

SELECT id,styleName,description FROM layer_styles WHERE f_table_schema=NULL AND f_table_name='my_table' AND

f_geometry_column='geometry' ORDER BY useasdefault DESC, update_time DESC

Executing this query in QGIS DB Manager delivers no results (but also throws no error as well).

Correcting ...f_table_schema=NULL... to ...f_table_schema IS NULL... delivers the desired results.

refer to https://gis.stackexchange.com/questions/289562/qgis-3-does-not-load-default-styles-from-spatialite-defined-in-qgis-2-18

History

#1 - 2019-01-27 08:28 AM - Alexander Bruy

- Operating System deleted (Windows 10)

- Status changed from Open to Feedback

Seems already fixed in 3.4 and master. Please test.

#2 - 2019-02-10 09:07 AM - Alexander Bruy

- Resolution set to worksforme

- Status changed from Feedback to Closed
